Download it now!
Bug 78407 - mysql-connector-ooo.oxt version 1.0.2 locks up when executing single small table query
Summary: mysql-connector-ooo.oxt version 1.0.2 locks up when executing single small ta...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 22:00 UTC by Larry
Modified: 2016-05-09 20:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Larry 2014-05-07 22:00:30 UTC
On a Windows 7 Prof machine with 16 GB RAM, local MySQL DB, local Libre Office:
The special information is that there are 120+ schema, each with 100+ tables and 75+ views. All but 5 of the schema have the same table names and view names.

When connecting, the login used has SELECT, EXECUTE and SHOW DATABASES privileges.
I used the TCP connect method on the actual IP of the local machine.
All the schema display after a minute or so after clicking on the Tables button.
Then, I click on the Queries button and click on Create Query in SQL View... and enter "SELECT * FROM prexshared.mrmenu;" and click on the Run Query button and it locks up.

This is a small table of about 600 rows containing the menu entries for our application.

I was testing a small table before attempting to view content from a cross-120+schema view of aged balances - a view that takes about 30 minutes to return rows when executed at the mysql command line client prompt.

I tested this using the 32-bit MySQL ODBC Connector version 5.1 as well and encounter the same issues. - The schema, tables and views appear, but it locks up on the simplest execution of a query.

All other connections to the database continued to work even when LibreOffice locked up. (MySQL Administrator, MySQL Command Line Client and using the linux command line client from a remote server and for other users accessing the data via ODBC using Microsoft Query tools for MS Office)

I am hoping this can be fixed, since the Microsoft Query tools are failing on certain workstations when accessing that large aged balances view mentioned above.
Comment 1 Alex Thurgood 2014-05-23 21:17:28 UTC
Hi,

I'm not saying there isn't a problem, but without a way to reproduce the environment and situation, it is going to be hard for us to confirm. Let's face it, a 120+ schema-based view (I imagine several joins are involved) is not a very common occurrence for the majority of volunteer users here that might be available to test. If it takes more than 30 minutes to return the result from the command line mysql client, I wouldn't expect any type of connector with LO to be able to return a result without causing the app to consider that its subprocess (execution of the query) has failed.



Alex
Comment 2 Alex Thurgood 2014-05-23 21:26:47 UTC
We would probably need more details about the precise setup of the dbs, schemas, etc, database sizes, number of tuples and columns being retrieved, etc, even with your limited 600 tuple table.
Comment 3 Alex Thurgood 2015-01-03 17:39:24 UTC
Adding self to CC if not already on
Comment 4 Alex Thurgood 2015-02-11 17:34:23 UTC
@Larry : are you still having the same problem with a recent production version of LibreOffice and the 1.02 connector ?

Please retest and report back here, otherwise I fear that this bug report will be closed for lack of sufficient information to attempt to reproduce.
Comment 5 QA Administrators 2015-09-04 02:56:02 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 6 Robinson Tryon (qubit) 2015-10-07 22:00:20 UTC
Dropping Severity -> critical (we've deprecated the 'blocker' value)
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Severity#Severity_Levels
Comment 7 QA Administrators 2016-05-09 20:08:07 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09